Bug 222606 - hack required to get Intel audio device to work
hack required to get Intel audio device to work
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Depends On:
  Show dependency treegraph
Reported: 2007-01-15 00:25 EST by Todd Warner
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-16 08:03:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
requested log file. (44.59 KB, text/plain)
2007-04-10 10:18 EDT, Todd Warner
no flags Details

  None (edit)
Description Todd Warner 2007-01-15 00:25:45 EST
Description of problem:
I installed FC6, sound would not work.

Version-Release number of selected component (if applicable):

Note: these are the devel alsa's that I updated in attempt to solve the problem.
I suspect the problem and "fix" will replicate with the shipping alsa.

How reproducible:
Easily, given you have the hardware.

Steps to Reproduce:
1. Acquire Intel Corporation 82801G (ICH7 Family) High Definition Audio
Controller - my T60 laptop comes with it.
2. Install fc6 with all updates.
3. Attempt to config sound.
4. Won't work.
Actual results:
No sound.

Expected results:

Additional info:
I "fixed it" by adding two lines to rc.local:
modprobe -r snd_hda_intel
modprobe snd_hda_intel

This solution was discover after a prolonged time of googling for a solution.
Comment 1 Martin Stransky 2007-01-15 05:58:32 EST
Please check the latest ALSA drivers, your soundcard should work out of the box
with them. How-to is here: http://people.redhat.com/stransky/alsa
Comment 2 Martin Stransky 2007-04-10 08:48:32 EDT
Please attach /root/scsconfig.log (can be created by system-config-soundcard)
Comment 3 Todd Warner 2007-04-10 10:18:42 EDT
Created attachment 152135 [details]
requested log file.
Comment 4 Martin Stransky 2007-04-10 10:30:22 EDT
Do you use digital or analog output?
Comment 5 Todd Warner 2007-04-10 11:00:40 EDT
Digital did not work, so I am using analog.
Comment 6 Martin Stransky 2007-04-10 11:37:21 EDT
okay, so you should have these lines in your /etc/asound.conf:

defaults.pcm.card 0
defaults.pcm.device 0
defaults.ctl.card 0

does the sound work with them after boot?
Comment 7 Todd Warner 2007-08-29 07:41:45 EDT
Sorry, that this took so long to respond to.

My /etc/asound.conf was completely commented out. I set them to what you
suggeste. Doesn't work, unless I did what I described.

New issue: With the latest kernel, kernel-, the sound broke
immediately, even with my changes. So far the only fix I can find is to init 1,
manually monkey with the modprobes and then init 5 again. Ugh!

What's going on with alsa?
Comment 8 Todd Warner 2007-09-05 12:02:55 EDT

I enabled the internal modem in the bios and the sound started to work. I even
removed my hack.

May want to document this.

Comment 9 Martin Stransky 2007-09-05 12:06:55 EDT
Yeah, that's a known issue on T60 :-(

Note You need to log in before you can comment on or make changes to this bug.